Create a new sales invoice.

Create a new sales invoice - either a draft or an already issued one.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
Defaults to EUR

Invoice currency (ISO 4217).

string
required

Unique UUID of the customer, linked to this invoice.

boolean

When true, will create a draft invoice - invoice state will be draft. When false or nil, will create an issued invoice - invoice state will be received and a value for invoice_number will be set. NOTE - The invoice cannot be created as draft, if there is a set value for file or file_url.

string

The URL for a PDF copy of the invoice you want attached to the invoice object. Only public links can be used to retrieve a file using the file_url attribute. NOTE - If file or file_url is not empty, value of draft should NOT be true, and setting a value for invoice_number is mandatory!

string

Base64 encoded content of invoice file. Only PDF files are accepted. The name of the file will be taken from the value of invoice_number. This will override the file_url value, if both are provided. NOTE - If file or file_url is not empty, value of draft should NOT be true, and setting a value for invoice_number is mandatory!

string
date

The date, on which the invoice was delivered.

date
required

The date, on which the invoice is due.

string

Invoice number. If no value is provided, the invoice number will be automatically generated, based on the Accounts receivable numbering logic set up in the Regate app (under Settings > Accounting > General information). Mandatory, if either file or file_url values are not empty!

string

Free text for additional information relating to this invoice.

integer

The already paid amount at the time of the invoice generation.

string
enum
required

Payment method used to pay the invoice.

Allowed:
string

Description for a payment method used, if it's not in the listed ones available for payment_method.

string

External payment reference.

string

Free text field used to record the purchase order ID.

recurrence
object

This object describes the configuration for a recurring invoice draft generation.

string

Subject line text of the invoice.

string
enum

Invoice's transaction type.

Allowed:
lines
array of objects
required

An array of objects, each describing a line within the invoice.

lines*
boolean
Defaults to false

Indicates whether the invoice is flagged as urgent or not.

string
enum
required

Indicates when the VAT is paid - receipts meaning it is paid on receipts, debits meaning it is compensated for sales.

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.regate_api.v1.json